#include <stdio.h>
#include <algorithm>
using namespace std;
int main()
{
  int n,m;  
  scanf("%d%d", &n,&m);
  int a[n];
  for(int i=0; i<n; i++) scanf("%d",&a[i]);
  int zbir=0;
  
  for(int i=1; i<m+1; i++)
  {
     int brojac=0;
     for(int j=0; j<n; j++)
     {
         if(a[j]>=i) brojac++;
     }
     zbir+=(n-brojac)*brojac;
   }
  
  printf("%d", zbir);
}